<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <title>Handy SDK v2 universal UI example</title>
  </head>

  <body>
    <div class="container">
      <h1>Universal UI example</h1>

      <div id="uui"></div>

      <div class="embed-responsive embed-responsive-16by9 mt-2">
        <video
          src="https://playground.handyfeeling.com/assets/sync_video_2021.mp4"
          type="video/mp4"
          class="embed-responsive-item w-100"
          controls
          muted
        >
          Your browser does not support the video tag.
        </video>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ"
      crossorigin="anonymous"
    ></script>
    <!-- Local Development-->
    <script src="../dist/handy.umd.js"></script>
    <!-- Production -->
    <!-- <script crossorigin src="https://unpkg.com/@ohdoki/handy-sdk"></script> -->

    <script>
      const video = document.querySelector('video');
      const handy = Handy.init();

      handy.attachUUI('uui');
      handy.setVideoPlayer(video);

      handy.on('connect', () => {
        handy
          .setScript(
            'https://playground.handyfeeling.com/assets/sync_video_2021.csv',
          )
          .then(console.log);
      });

      handy.on('disconnect', () => video.pause());
    </script>
  </body>
</html>
